package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.TestBbbCopy;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.TestBbbCopyMapper")
public interface TestBbbCopyMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(TestBbbCopy record);

    TestBbbCopy selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TestBbbCopy record);

    List<TestBbbCopy> queryAllTestBbbCopy(TestBbbCopy record);

    List<TestBbbCopy> queryTestBbbCopyByPage(Map<String, Object> parameter);

    int delete(String id);

    TestBbbCopy queryTestBbbCopy(TestBbbCopy record);

    List<TestBbbCopy> query(TestBbbCopy record);
}

